<article>
    <a href="{% url 'gift:gift_update' object.id %}">
        <h2 style="text-shadow: 3px 2px 6px {{ object.color }}; display:flex"><span>{{ object.gift_name }}</span><span class="edit-index-to-header"> EDIT</span></h2>
    </a>
    <p>Path: {{ request.path }}</p>
    <ul>
        <li>Description: {{ object.description }}</li>
        <li>Web link:
            <a {% if object.web_link %}href="{{ object.web_link }}"{% else %} -{% endif %}>
                {{ object.web_link|slice:24 }}..
            </a>
        </li>

        <li>
            <img src="{% if object.picture %} {{ object.picture.url }}{% else %}/img/default_gift.gif{% endif %}"
                 alt="Picture of gift {{ object.id }}"
                 class="picture-bigsize"
            >
        </li>
        <li>Wish: {{ object.wish_text }}</li>
        <li>
                {% if "update" in request.path %}
                <a href="{% url 'gift:gift_delete' pk %}">
                Delete gift
                </a>
                {% endif %}
        </li>
    </ul>
</article>
